Bug 1788615 - Upgrades from 6.5 to 6.6 does not turn on automatic task cleanup [NEEDINFO]
Summary: Upgrades from 6.5 to 6.6 does not turn on automatic task cleanup
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-07 15:50 UTC by Mike McCune
Modified: 2020-07-24 01:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
zhunting: needinfo? (mmccune)


Attachments (Terms of Use)

Description Mike McCune 2020-01-07 15:50:02 UTC
6.6 added a new feature to enable task cleanup with this RFE:

https://bugzilla.redhat.com/show_bug.cgi?id=1692425

this only effects new installations of Satellite 6 but users who upgraded from 6.5 and prior still find the cleanup disabled, verified via answer file on a 6.6 Satellite that I upgraded from 6.5:

# rpm -q satellite
satellite-6.6.0-7.el7sat.noarch

# grep automatic_cleanup /etc/foreman-installer/scenarios.d/satellite-answers.yaml 
  automatic_cleanup: false

Comment 3 Zach Huntington-Meath 2020-01-09 14:12:20 UTC
We thought that this was specifically disabled so that customers who would not be surprised by automatic task cleanup happening. Has the view on this changed?

Comment 5 Zach Huntington-Meath 2020-01-30 14:03:21 UTC
Mike could we get a final say on what we specifically wanted?

Comment 6 Mike McCune 2020-02-06 15:08:11 UTC
yes, we want all new installs as well as all upgraded systems to have this on-by-default.


Note You need to log in before you can comment on or make changes to this bug.